RuntimeMap (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.design.backend

## Class RuntimeMap

- java.lang.Object
- - hlt.language.design.backend.RuntimeMap

- All Implemented Interfaces:
    RuntimeObject
  Direct Known Subclasses:
    IntMap, ObjectMap, RealMap

      public abstract class RuntimeMap
      extends java.lang.Object
      implements RuntimeObject

  This is the mother of `IntMap`, `realMap`, and `ObjectMap`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract RuntimeMap` | `copy()`
    `abstract java.lang.Object` | `extractArray()`
    `Indexable` | `indexable()`
    `abstract RuntimeMap` | `setArray(java.lang.Object array)`
    `void` | `setIndexable(Indexable indexable)`
    `int` | `size()`
    `void` | `trimToSize()` Trims the underlying native array to the size of its indexable if necessary and returns it (this is needed because the size of the array of a map indexed by an int range may grow to accommodate additional elements).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeMap

          public RuntimeMap()

  - ### Method Detail

    - #### indexable

          public final Indexable indexable()

    - #### size

          public final int size()

    - #### setIndexable

          public final void setIndexable(Indexable indexable)

    - #### extractArray

          public abstract java.lang.Object extractArray()

    - #### setArray

          public abstract RuntimeMap setArray(java.lang.Object array)

    - #### copy

          public abstract RuntimeMap copy()

    - #### trimToSize

          public final void trimToSize()

      Trims the underlying native array to the size of its indexable if necessary and returns it (this is needed because the size of the array of a map indexed by an int range may grow to accommodate additional elements). Calling this method guarantees that the underlying array of this map has the same size as its indexable.